#!/bin/bash

# AUTHOR:
# Francesc Suñol <francesc@fa.upc.edu>

# HISTORY: 
# - Created by Francesc Suñol in 2007-05-22.
# - Modified by Francesc Suñol in 2008-06-09: Added echo's.
# - (Add your modifiactions and date here).

# REQUIRES: 
# gnuplot.

# OBJECTIVES: 
# Create an animation of a data file.
# The input data file must contain 2 columns (pairs of values corresponding 
# to x and y).

# USAGE:
# bash animation.bash data.dat 5 0:1 -1:1  (in this order).
# where "data.dat" is a data file, and "5" is a number
# proportional to the velocity of the animation. You can replace 5 by 
# any number between 1 to 10.
# 0:1 is the xrange and -1:1 is the yrange. Replace those numbers by
# the range you need, but with the same format:
# Xmin:Xmax Ymin:Ymax.
# NOTE: To stop the animation, press < Ctrl > + < C > from the terminal.

# COPYRIGHT:
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Copyright 2007, 2008 Francesc Suñol.

if [ $# -ne 4 ]; then
echo "It's necessary to include 2 parameters: the data file, and then the velocity of the animation (any number between 1 to 10)."
exit -1
fi

echo "it_limit=1000
it_count=-1
set xrange [$3]
set yrange [$4]
unset key
load 'animation-aux-2.gp'" > animation-aux-1.gp



if [ "$2" = "1" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.05
reread " > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "2" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.04
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "3" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.03
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "4" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.02
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "5" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.01
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "6" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.005
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "7" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.001
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "8" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.0005
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "9" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.0001
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

elif [ "$2" = "10" ]; then
echo "it_count = it_count + 1
if ( it_count < it_limit ) \\
plot '$1' every 1::1::it_count+1
pause 0.00005
reread" > animation-aux-2.gp
gnuplot animation-aux-1.gp

else

echo -e "The velocity number must be any number between 1 to 10!\n"
exit -1

fi

rm -f animation-aux-1.gp animation-aux-2.gp
